// To parse this JSON data, do
//
//     final changePasswordParams = changePasswordParamsFromJson(jsonString);

import 'dart:convert';

ChangePasswordParams changePasswordParamsFromJson(String str) =>
    ChangePasswordParams.fromJson(json.decode(str));

String changePasswordParamsToJson(ChangePasswordParams data) =>
    json.encode(data.toJson());

class ChangePasswordParams {
  final String? newPassword;
  final String? email;
  final String? oldPassword;

  ChangePasswordParams({
    this.newPassword,
    this.email,
    this.oldPassword,
  });

  factory ChangePasswordParams.fromJson(Map<String, dynamic> json) =>
      ChangePasswordParams(
        newPassword: json["newPassword"],
        email: json["email"],
        oldPassword: json["oldPassword"],
      );

  Map<String, dynamic> toJson() => {
        "newPassword": newPassword,
        "email": email,
        "oldPassword": oldPassword,
      };
}
